Retrieves a collection of CRM Analytics dataflows.
Syntax
import { LightningElement, wire } from "lwc";
import { getDataflows } from "lightning/analyticsWaveApi";
export default class GetDataflows extends LightningElement {
@wire(getDataflows)
onGetDataflows({ data, error }) {
if (error) {
console.log("getDataflows ERROR:", error);
} else if (data) {
console.log("getDataflows RESPONSE:", data.dataflows);
}
}
}
CRM Analytics API Resource
GET /wave/dataflows
getDataflows uses this CRM Analytics API resource.
Parameters
This parameter is optional.
| Parameter Name | Type | Description |
|---|---|---|
q |
String | Search terms. Individual terms are separated by spaces. A wildcard is automatically appended to the last token in the query string. If the user's search query contains quotation marks or wildcards, those symbols are automatically removed from the query string in the URL along with any other special characters. |
Returns
data—Dataflow Collectionerror—FetchResponse